<?php
//En este modelo se encuentran todas las consultas realizadas en la tabla de productosgenerales(Administrador general)
class productoAdicionalA_model extends CI_Model { 
   public function __construct() {
      parent::__construct();
   }

   //Cosulta que hace el registros de productos internos en la base de datos
   public function guardar($parametro){
      $campos=array(
         'IdProductosGenerales' => $parametro['IdProductosGenerales'],
         'NombreProducto' => $parametro['NombreProducto'],
         'TipoProducto_IdTipoProducto' => $parametro['TipoProducto_IdTipoProducto'],
         'Categoria_IdCategoria' => $parametro['Categoria_IdCategoria'],
         'StockMinimo' => $parametro['StockMinimo'],
         'PrecioVenta' => $parametro['PrecioVenta'],
         'PrecioCompra' => $parametro['PrecioCompra'],
         'DescripcionProducto' => $parametro['DescripcionProducto']
      );
          $query= $this->db->insert('productosgenerales',$campos);

          $res=$this->db->affected_rows();
          if($res == 0){
            echo "<script>alert('No se registrarón los datos solicitados');</script>";
         }else {

          $id=$this->db->insert_id();
          $camp=array(
         'IdProductosFranquicias' => $parametro['IdProductosFranquicias'],
         'ProductosGenerales_IdProductosGenerales' => $parametro['IdProductosGenerales'],
         'PiezasTotales' => $parametro['PiezasTotales'],
         'Franquicias_IdFranquicias' => $parametro['Franquicias_IdFranquicias'],
         'Usuarios_IdUsuarios' => $parametro['Usuarios_IdUsuarios'],
          );
          $this->db->insert('productosfranquicias',$camp);
          $res=$this->db->affected_rows();
          if($res==1){
           //Muestra una alerta cuando no se realizo
            // echo "<script>alert('Datos guardados correctamente');</script>";
            //  redirect('productos/Administrador/productosAdicionalesA','refresh');
            echo "<script>alert('Datos guardados correctamente');
                 window.location.href='".base_url()."productos/Administrador/productosAdicionalesA';
                 </script>";
          }else{
            //Verifica que la consulta se realizo 
            // echo "<script>alert('Los datos no pudierón ser guardados correctamente');</script>";
            //  redirect('productos/Administrador/productosAdicionalesA','refresh');
            echo "<script>alert('Los datos no pudierón ser guardados correctamente');
                 window.location.href='".base_url()."productos/Administrador/productosAdicionalesA';
                 </script>";
            }
         }
   }


   //Consulta que elimina los productos 
   public function eliminar ($id){
      
      $this->db->where('IdProductosGenerales', $id);
      $this->db->delete('productosgenerales');
      $res=$this->db->affected_rows();
      if($res==0){
        //Muestra una alerta cuando se realizo
      // echo "<script>alert('Error, no se pudierón eliminar los datos');</script>";
      // redirect('productos/Administrador/productosAdicionalesA','refresh');
      echo "<script>alert('Error, no se pudierón eliminar los datos');
                 window.location.href='".base_url()."productos/Administrador/productosAdicionalesA';
                 </script>";
      }else{
        //Muestra una alerta cuando no se realizo
     //  echo "<script>alert('Los datos se han eliminado correctamente');</script>";
     // redirect('productos/Administrador/productosAdicionalesA','refresh');
     echo "<script>alert('Los datos se han eliminado correctamente');
                 window.location.href='".base_url()."productos/Administrador/productosAdicionalesA';
                 </script>";
      }
   }

    //Consulta que hace la busqueda del servicio seleccionado
    public function obtenerenlace ($id){
      $this->db->where('IdProductosGenerales', $id);
      $query=$this->db->get('productosgenerales');
      if($query->num_rows()>0){
         return $query;

      }else{
         return FALSE;
      }

   }

    //Consulta que hace la actualización del producto seleccionado
    function editarenlace ($IdProductosGenerales, $data)
   {
      $this->db->where('IdProductosGenerales',$IdProductosGenerales);
      $this->db->update('productosgenerales', $data);
       $res=$this->db->affected_rows();
       //Verifica que la consulta se realizo
      if($res==1){
        //Muestra una alerta cuando se realizo
        // echo "<script>alert('Datos guardados correctamente');</script>";
        // redirect('productos/Administrador/productosAdicionalesA','refresh');
        echo "<script>alert('Datos guardados correctamente');
                 window.location.href='".base_url()."productos/Administrador/productosAdicionalesA';
                 </script>";
      }else if($res==-1){
        //Muestra una alerta cuando no se realizo
       //  echo "<script>alert('Los datos no pudierón ser guardados correctamente');</script>";
       // redirect("productos/Administrador/ProductosAdicionalesA.php/editar/$IdProductosGenerales",'refresh');
       echo "<script>alert('Los datos no pudierón ser guardados correctamente');
                 window.location.href='".base_url()."productos/Administrador/ProductosAdicionalesA/editar/$IdProductosGenerales';
                 </script>";
      }else {
        // echo "<script>alert('No se hizo nungun cambio');</script>";
        //  redirect('productos/Administrador/ProductosAdicionalesA.php','refresh');
        echo "<script>alert('No se hizo nungun cambio');
                 window.location.href='".base_url()."productos/Administrador/ProductosAdicionalesA';
                 </script>";
      }
   }

   //Consulta que hace la busqueda de los productos
   function buscar($query) {
    $this->db->select('*');
    $this->db->join('franquicias','Franquicias_IdFranquicias=IdFranquicias','inner');
    $this->db->join('productosgenerales','ProductosGenerales_IdProductosGenerales=IdProductosGenerales','inner');
    $this->db->join('categoria','Categoria_IdCategoria= IdCategoria','inner');
    $this->db->where('TipoProducto_IdTipoProducto','3');
    $this->db->like('NombreProducto', $query);
    $query=$this->db->get('productosfranquicias');
    if ($query->num_rows() > 0){
      return $query;
    }else{
      // echo "<script>alert('No se encontrarón los datos solicitados');</script>";
      // redirect('productos/Administrador/productosAdicionalesA','refresh');
      echo "<script>alert('No se encontrarón los datos solicitados');
                 window.location.href='".base_url()."productos/Administrador/productosAdicionalesA';
                 </script>";
    }
  }

  //Consulta que hace la busqueda de los tipos de productos 
  public function BuscarTipo(){
     $query = $this->db-> query('SELECT IdTipoProducto,NombreTipoProducto FROM tipoproducto WHERE IdTipoProducto=3'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdTipoProducto, ENT_QUOTES)] = htmlspecialchars($row->NombreTipoProducto, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }

  //Consulta que hace la busqueda de la categoría de los productos 
  public function BuscarCategoria(){
     $query = $this->db-> query('SELECT IdCategoria,NombreCategoria FROM categoria'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdCategoria, ENT_QUOTES)] = htmlspecialchars($row->NombreCategoria, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }

   //Consulta que hace la busqueda de las franquicias
  public function BuscarFranquicia(){
     $query = $this->db-> query('SELECT IdFranquicias,NombreFranquicia FROM franquicias'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdFranquicias, ENT_QUOTES)] = htmlspecialchars($row->NombreFranquicia, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }

  //Consulta que hace la busqueda de los datos del usuario logueado
 public function BuscarUsuario(){
     $this->db->select('*');
     $this->db->from('usuarios');
     $this->db->where('IdUsuarios',$this->session->userdata('IdUsuarios'));
     $query=$this->db->get();
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdUsuarios, ENT_QUOTES)] = htmlspecialchars($row->NombreUsuario, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }
         



}
